/// <reference types="node" />
import { AccountInfo, Connection } from '@solana/web3.js';
import { PackCard } from './PackCard';
import { AnyPublicKey, StringPublicKey } from "../../../types";
import { Borsh } from "../../../utils";
import { Account } from '../../../Account';
import { NFTPacksAccountType } from '../NFTPacksProgram';
import { Buffer } from 'buffer';
export declare enum PackSetState {
    NotActivated = 0,
    Activated = 1,
    Deactivated = 2
}
declare type Args = {
    name: string;
    authority: StringPublicKey;
    mintingAuthority: StringPublicKey;
    totalPacks: number;
    packCards: number;
    packVouchers: number;
    mutable: boolean;
    state: PackSetState;
};
export declare class PackSetData extends Borsh.Data<Args> {
    static readonly SCHEMA: any;
    accountType: NFTPacksAccountType;
    name: string;
    authority: StringPublicKey;
    mintingAuthority: StringPublicKey;
    totalPacks: number;
    packCards: number;
    packVouchers: number;
    mutable: boolean;
    state: PackSetState;
    constructor(args: Args);
}
export declare class PackSet extends Account<PackSetData> {
    constructor(pubkey: AnyPublicKey, info: AccountInfo<Buffer>);
    static isCompatible(data: Buffer): boolean;
    getCards(connection: Connection): Promise<PackCard[]>;
}
export {};
