/// <reference types="node" />
import { AccountInfo, PublicKey } from '@solana/web3.js';
import { AnyPublicKey, StringPublicKey } from "../../../types";
import { Borsh } from "../../../utils";
import { Account } from '../../../Account';
import { NFTPacksAccountType } from '../NFTPacksProgram';
import { Buffer } from 'buffer';
export declare enum ActionOnProve {
    Burn = 0,
    Redeem = 1
}
declare type Args = {
    packSet: StringPublicKey;
    master: StringPublicKey;
    metadata: StringPublicKey;
    tokenAccount: StringPublicKey;
    maxSupply?: number;
    currentSupply: number;
    numberToOpen: number;
    actionOnProve: ActionOnProve;
};
export declare class PackVoucherData extends Borsh.Data<Args> {
    static readonly SCHEMA: any;
    accountType: NFTPacksAccountType;
    packSet: StringPublicKey;
    master: StringPublicKey;
    metadata: StringPublicKey;
    tokenAccount: StringPublicKey;
    maxSupply?: number;
    currentSupply: number;
    numberToOpen: number;
    actionOnProve: ActionOnProve;
    constructor(args: Args);
}
export declare class PackVoucher extends Account<PackVoucherData> {
    static readonly PREFIX = "voucher";
    constructor(pubkey: AnyPublicKey, info: AccountInfo<Buffer>);
    static isCompatible(data: Buffer): boolean;
    static getPDA(packSet: AnyPublicKey, index: number): Promise<PublicKey>;
}
export {};
