/// <reference types="node" />
import { AccountInfo, PublicKey } from '@solana/web3.js';
import { AnyPublicKey, StringPublicKey } from "../../../types";
import { Borsh } from "../../../utils";
import { Account } from '../../../Account';
import { NFTPacksAccountType } from '../NFTPacksProgram';
import { Buffer } from 'buffer';
declare type Args = {
    userWallet: StringPublicKey;
    packSet: StringPublicKey;
    provedVouchers: number;
    provedVoucherEditions: number;
    claimedCards: number;
    claimedCardEditions: number;
};
export declare class ProvingProcessData extends Borsh.Data<Args> {
    static readonly SCHEMA: any;
    accountType: NFTPacksAccountType;
    userWallet: StringPublicKey;
    packSet: StringPublicKey;
    provedVouchers: number;
    provedVoucherEditions: number;
    claimedCards: number;
    claimedCardEditions: number;
    constructor(args: Args);
}
export declare class ProvingProcess extends Account<ProvingProcessData> {
    static readonly PREFIX = "proving";
    constructor(pubkey: AnyPublicKey, info: AccountInfo<Buffer>);
    static isCompatible(data: Buffer): boolean;
    static getPDA(packSet: AnyPublicKey, userWallet: AnyPublicKey): Promise<PublicKey>;
}
export {};
